Bug 907820 (CVE-2013-0256) - CVE-2013-0256 rubygem-rdoc: Cross-site scripting in the documentation created by Darkfish Rdoc HTML generator / template
Summary: CVE-2013-0256 rubygem-rdoc: Cross-site scripting in the documentation created...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-0256
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 907828 907833 907835 908358 908890 909340 913819 915192 928603 928604 928606 928615 995674
Blocks: 907842 917158 925830 928635
TreeView+ depends on / blocked
 
Reported: 2013-02-05 10:56 UTC by Jan Lieskovsky
Modified: 2019-09-29 13:00 UTC (History)
28 users (show)

Fixed In Version: RDoc 3.9.5, RDoc 3.12.1, RDoc 4.0.0.rc.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-03 05:19:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0548 normal SHIPPED_LIVE Moderate: CloudForms Common 1.1.2 update 2013-02-22 00:00:32 UTC
Red Hat Product Errata RHSA-2013:0686 normal SHIPPED_LIVE Moderate: Subscription Asset Manager 1.2.1 update 2013-03-26 23:16:44 UTC
Red Hat Product Errata RHSA-2013:0701 normal SHIPPED_LIVE Moderate: ruby193-ruby, rubygem-json and rubygem-rdoc security update 2013-04-03 00:06:00 UTC
Red Hat Product Errata RHSA-2013:0728 normal SHIPPED_LIVE Moderate: rubygem packages security update 2013-04-09 22:11:45 UTC

Description Jan Lieskovsky 2013-02-05 10:56:14 UTC
A cross-site scripting (XSS) flaw was found in the way Darkfish Rdoc HTML generator / template of RDoc, HTML and command-line documentation producing tool for Ruby, performed sanitization of certain values when creating Rdoc documentation. When Ruby on Rails application exposed its documentation via network, a remote attacker could provide a specially-crafted URL that, when opened would lead to arbitrary web script or HTML code execution in the context of (particular Ruby on Rails application) user's session.

This issue affects RDoc versions 2.3.0 to 3.12.

Comment 2 Jan Lieskovsky 2013-02-05 11:01:24 UTC
This issue affects the versions of the rubygem-rdoc package, as shipped with Red Hat OpenShift Enterprise, Red Hat Subscription Asset Manager, Red Hat CloudForms System Engine, and Red Hat CloudForms Cloud Engine.

--

This issue affects the versions of the rubygem-rdoc package, as shipped with Fedora release of 16, 17, and 18.

Comment 4 Jan Lieskovsky 2013-02-05 11:06:31 UTC
Acknowledgements:

Red Hat would like to thank Eric Hodel of RDoc upstream for reporting this issue. Upstream acknowledges Evgeny Ermakov as the original issue reporter.

Comment 12 Jan Lieskovsky 2013-02-06 14:07:07 UTC
External References:


http://www.ruby-lang.org/en/news/2013/02/06/rdoc-xss-cve-2013-0256/

Comment 13 Jan Lieskovsky 2013-02-06 14:08:59 UTC
Created rubygem-rdoc tracking bugs for this issue

Affects: fedora-all [bug 908358]

Comment 14 Jan Lieskovsky 2013-02-06 14:12:19 UTC
Relevant upstream patch:
  https://github.com/rdoc/rdoc/commit/ffa87887ee0517793df7541629a470e331f9fe60

Comment 15 Jan Lieskovsky 2013-02-07 10:33:22 UTC
RDoc 3.9.5, 3.12.1, and 4.0.0.rc.2 announcement:
  http://blog.segment7.net/2013/02/06/rdoc-xss-vulnerability-cve-2013-0256-releases-3-9-5-3-12-1-4-0-0-rc-2

Comment 18 errata-xmlrpc 2013-02-21 19:05:58 UTC
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0548 https://rhn.redhat.com/errata/RHSA-2013-0548.html

Comment 20 errata-xmlrpc 2013-03-26 19:17:32 UTC
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0686 https://rhn.redhat.com/errata/RHSA-2013-0686.html

Comment 22 errata-xmlrpc 2013-04-02 20:06:53 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0701 https://rhn.redhat.com/errata/RHSA-2013-0701.html

Comment 23 errata-xmlrpc 2013-04-09 18:13:50 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0728 https://rhn.redhat.com/errata/RHSA-2013-0728.html

Comment 24 Fedora Update System 2013-05-07 18:25:39 UTC
rubygem-rdoc-3.12-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2013-05-07 18:36:36 UTC
rubygem-rdoc-3.12-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Kurt Seifried 2013-07-26 06:16:28 UTC
The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.


Note You need to log in before you can comment on or make changes to this bug.